libxml++: xmlpp::CommentNode Class Reference

libxml++ 2.36.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmlpp::CommentNode Class Reference

Comment Node. More...

`#include <libxml++/nodes/commentnode.h>`

Inheritance diagram for xmlpp::CommentNode:
[legend]
Collaboration diagram for xmlpp::CommentNode:
[legend]

## Public Member Functions
| CommentNode (_xmlNode* node)
virtual | ~CommentNode ()
Public Member Functions inherited from xmlpp::ContentNode
| ContentNode (_xmlNode* node)
virtual | ~ContentNode ()
Glib::ustring | get_content () const
| Get the text of this content node.
void | set_content (const Glib::ustring& content)
| Set the text of this content node.
bool | is_white_space () const
Public Member Functions inherited from xmlpp::Node
| Node (_xmlNode* node)
virtual | ~Node ()
Glib::ustring | get_name () const
| Get the name of this node.
void | set_name (const Glib::ustring& name)
| Set the name of this node.
void | set_namespace (const Glib::ustring& ns_prefix)
| Set the namespace prefix used by the node.
Glib::ustring | get_namespace_prefix () const
| Get the namespace prefix of this node.
Glib::ustring | get_namespace_uri () const
| Get the namespace URI of this node.
int | get_line () const
| Discover at what line number this node occurs in the XML file.
const Element* | get_parent () const
| Get the parent element for this node.
Element* | get_parent ()
| Get the parent element for this node.
const Node* | get_next_sibling () const
| Get the next sibling for this node.
Node* | get_next_sibling ()
| Get the next sibling for this node.
const Node* | get_previous_sibling () const
| Get the previous sibling for this node .
Node* | get_previous_sibling ()
| Get the previous sibling for this node.
const Node* | get_first_child (const Glib::ustring& name=Glib::ustring()) const
| Get the first child of this node.
Node* | get_first_child (const Glib::ustring& name=Glib::ustring())
| Get the first child of this node.
NodeList | get_children (const Glib::ustring& name=Glib::ustring())
| Obtain the list of child nodes.
const NodeList | get_children (const Glib::ustring& name=Glib::ustring()) const
| Obtain the list of child nodes.
Element* | add_child (const Glib::ustring& name, const Glib::ustring& ns_prefix=Glib::ustring())
| Add a child element to this node.
Element* | add_child (xmlpp::Node* previous_sibling, const Glib::ustring& name, const Glib::ustring& ns_prefix=Glib::ustring())
| Add a child element to this node after the specified existing child node.
Element* | add_child_before (xmlpp::Node* next_sibling, const Glib::ustring& name, const Glib::ustring& ns_prefix=Glib::ustring())
| Add a child element to this node before the specified existing child node.
void | remove_child (Node* node)
| Remove the child node.
Node* | import_node (const Node* node, bool recursive=true)
| Import node(s) from another document under this node, without affecting the source node.
Glib::ustring | get_path () const
| Get the XPath of this node.
NodeSet | find (const Glib::ustring& xpath) const
| Find nodes from an XPath expression.
NodeSet | find (const Glib::ustring& xpath, const PrefixNsMap& namespaces) const
| Find nodes from an XPath expression.
bool | eval_to_boolean (const Glib::ustring& xpath, XPathResultType* result_type=0) const
| Evaluate an XPath expression.
bool | eval_to_boolean (const Glib::ustring& xpath, const PrefixNsMap& namespaces, XPathResultType* result_type=0) const
| Evaluate an XPath expression.
double | eval_to_number (const Glib::ustring& xpath, XPathResultType* result_type=0) const
| Evaluate an XPath expression.
double | eval_to_number (const Glib::ustring& xpath, const PrefixNsMap& namespaces, XPathResultType* result_type=0) const
| Evaluate an XPath expression.
Glib::ustring | eval_to_string (const Glib::ustring& xpath, XPathResultType* result_type=0) const
| Evaluate an XPath expression.
Glib::ustring | eval_to_string (const Glib::ustring& xpath, const PrefixNsMap& namespaces, XPathResultType* result_type=0) const
| Evaluate an XPath expression.
_xmlNode* | cobj ()
| Access the underlying libxml implementation.
const _xmlNode* | cobj () const
| Access the underlying libxml implementation.

## Additional Inherited Members
Public Types inherited from xmlpp::Node
typedef std::list< Node* > | NodeList
typedef std::map < Glib::ustring, Glib::ustring > | PrefixNsMap
| A map of namespace prefixes to namespace URIs.
Static Public Member Functions inherited from xmlpp::Node
static void | create_wrapper (_xmlNode* node)
| Construct the correct C++ instance for a given libxml C struct instance.
static void | free_wrappers (_xmlNode* node)
| Delete the C++ instance for a given libxml C struct instance, and also recursively destroy the C++ instances for any children.
Protected Member Functions inherited from xmlpp::Node
_xmlNode* | create_new_child_node (const Glib::ustring& name, const Glib::ustring& ns_prefix)
| Create the C instance ready to be added to the parent node.

## Detailed Description

Comment Node.

This will be instantiated by the parser.

## Constructor & Destructor Documentation

xmlpp::CommentNode::CommentNode | ( | _xmlNode * | node | ) |
| explicit

virtual xmlpp::CommentNode::~CommentNode | ( |  | ) |
| virtual

The documentation for this class was generated from the following file:

- nodes/commentnode.h